Subject: Re: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/27)

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 22 Oct 2021 15:19:06 +0000

Hi Dhruv,

Thanks for your detailed review and my apologies for the delay in response.

Please check inline below and we will incorporate the changes in the further revisions of this document.

From: Idr <[email-masked]> On Behalf Of Dhruv Dhody
Sent: 25 August 2021 11:03
To: Susan Hares <[email-masked]>
Cc: idr wg <[email-masked]>
Subject: Re: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/27)

Hi Sue,

I support adoption. I have some comments that can be handled at the author's discretion.

- Figure 1 gives an impression that SR-C is directly connected to the network node. I would just draw SR-C on top without showing how SR-C connects to the network. How SR-C receives BGP-LS updates is not new and thus just a reference to BGP-LS rfc7752bis is fine!
[KT] Agree. The SR-C can be connected to the network in any manner – will fix the figure and description.

- Reference to SFC architecture RFC 7665 should be added to the introduction.
[KT] This document builds on top of the SR Service Programming draft-ietf-spring-sr-service-programming which does not reference RFC7665.

- Section 2 s/Service SID MAY only be encoded as LOC:FUNCT/SRv6 Service SID MAY only be encoded as LOC:FUNCT/. Further, I think it would be useful to add why ARG is not to be used.
[KT] It should be possible to use ARGs and in fact they are quiet useful for service programming applications. We will fix this text to remove this restriction.

-  Function Identifier needs reference (I-D.ietf-spring-sr-service-programming)
[KT] Ack

- Figure 2, closing parenthesis missing for ST
[KT] Ack

- I agree with the suggestion that ST should refer to the existing IANA registry [1] instead of creating a new one in section 4.1
[KT] The IANA registry does point to the same table. We’ll get back on fixing this.

- The document says "Another Optional Opaque Metadata(OM) TLV of SRv6 SID NLRI.."; is this only for SRv6?
[KT] Technically, it should be applicable also for MPLS. However, things are not clearly worked for MPLS as yet (see https://datatracker.ietf.org/doc/html/draft-ietf-spring-sr-service-programming-05#section-7.1). We will update this based on the update to the base draft and perhaps for now keep this for SRv6 only.

- Is the expectation for the Flags in OM TLV that they would be applied for all Opaque Types? Since no flags are currently defined for this as well as SC TLV, some guidance would be useful as well as a possible IANA registry.
[KT] Ack

- Section 4.2, I could not find Segment Routing Function Identifier(SFI) registry in any of the referenced documents. Is it new? In that case, the text does not match!
[KT] Will fix this.

- Section 6.1, could use some information about setting the opaque types
[KT] Ack

Thanks,
Ketan

Thanks!
Dhruv

[1] https://www.iana.org/assignments/service-function-chaining-service-function-types/service-function-chaining-service-function-types.xhtml#service-function-chaining-service-function-types-2

On Thu, Aug 19, 2021 at 6:52 PM Susan Hares <[email-masked]<mailto:[email-masked]>> wrote:
This WG adoption call is extended until 8/27/2021.

At this time, this draft has not received enough support for adoption.

Cheers, Sue

From: Idr [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Susan Hares
Sent: Tuesday, July 27, 2021 1:40 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [Idr] WG Adoption call for draft-dawra-idr-bgp-ls-sr-service-segments-05 (7/27 to 8/10)

This begins a 2 week Adoption call for
draft-dawra-idr-bgp-ls-sr-service-segments-05.txt

https://datatracker.ietf.org/doc/draft-dawra-idr-bgp-ls-sr-service-segments/

We are missing IPR statements from the following co-authors:
Xiaohu Xu,  Jim Uttaro, and Daniel Bernier.

The authors upon adoption will need to pick 1-5 authors as editors.

Please consider if this draft’s BGP-LS additions
help the SR routing deployments.

Cheerily, Susan Hares
_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/idr